Subject: Re: pathNAME,serviceChangeParm

From: Tom-PT Taylor <[email-masked]>
Date: Tue, 1 Aug 2000 09:48:57 -0400

On your first point: the 64 character maximum for pathNAME is an additional
constraint which must be checked after the individual components are
checked.  I can see your point, that it would be nice if the ABNF had made
this automatic, but the comment achieves the desired effect.

Your second point does identify an omission.  As I see it, ServiceChangeParm
should indeed have an "at most once" constraint.

> -----Original Message-----
> From: Prozan, Rakefet [Partner:LOD:Telrad]
> Sent: Tuesday, August 01, 2000 8:00 AM
> To:   [email-masked]
> Subject:      pathNAME,serviceChangeParm
>
> Hi all,
>
> Can someone clarify these two definitions in ABNF?
>
> 1)pathNAME is defined as follows:
>       pathNAME = ["*"] NAME * ("/" /"*"/ ALPHA / DIGIT /"_" / "$" )
>                       ["@" pathDomainName ]
>
>  In the related comment it is written that pathNAME must not exceed 64
> chars. But  NAME and pathDomainName
>  can be 64 chars each one .So,in theory the MGC could get a pathNAME
> with more than 64 chars.
>  So, I think that either there should be a slash between NAME and
> pathDomainName
>  (which means NAME or pathDomainName),or pathNAME should be defined by a
> new type of maximum 64 chars.
>
> 2)Above the definition of serviceChangeParm there's no comment of
> "at-most-once". Does it mean that
>   serviceChangeDescriptor can consist of (for example) more than one
> serviceChangeMethod?
>
> many thanks in advance,
>
> --
> Rakefet Prozan,
> Team Manager, S/W Development
> Nortel SBU
> Telrad Networks
> ESN 828-3043   Email:[email-masked]
>
>
>                                        """
>                                      -(o o)-
> +---------------------------------oOO--(_)--OOo--------------+
>
>                                .oooO         Oooo.
> -------------------------------(   )---------(   )------------
>                                 \ (           ) /
>                                  \_)         (_/
>
> Have fun !!!